REST APIProjects
Create a project
Opens a private git repo from the golden template. The sandbox is created lazily on the first message. An optional initialPrompt is enqueued as the first message.
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
initialPrompt?string
Length
1 <= length <= 10000model?string
Length
1 <= length <= 64effort?string
Length
1 <= length <= 64skillNames?array<>
Items
items <= 3idempotencyKey?string
Length
1 <= length <= 128Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{}'{ "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "starred": true, "createdByUserId": "string", "lastActivityAt": "2019-08-24T14:15:22Z", "sandboxState": "none", "activeMessageId": "3e025e2c-a0ca-4907-ad4c-be696d3cae98", "createdAt": "2019-08-24T14:15:22Z", "previewImageUrl": "http://example.com", "provisioningState": "ready", "provisioningError": "string", "sourceTemplateVersionId": "8a4c4341-77cc-4a34-9a57-ab10b7cb34bc", "siteAnalyticsEnabled": false, "workersLogsEnabled": false, "initialMessageId": "d92caf31-e740-40bc-a068-9960009b9b76"}